# Interface SC

All Known Implementing Classes:
  `AbstractButton, AwtSwingComponent, JButton, JCheckBox, JCheckBoxMenuItem, JComboBox, JMenu, JMenuItem, JPopupMenu, JRadioButtonMenuItem`

public interface SC
SwingComponent interface common to javax.swing and org.jmol.awtjs.swing Can be augmented as needed, provided classes of org.jmol.awtjs.swing are also updated. (SwingComponents in javajs are subclasses of AbstractButton.)

## Method Summary

Modifier and Type
Method
Description
`void`
`add(SC item)`
`void`
`addActionListener(Object owner)`
`void`
`addItemListener(Object owner)`
`void`
`addMouseListener(Object owner)`
`String`
`getActionCommand()`
`Object`
`getComponent(int i)`
`int`
`getComponentCount()`
`Object[]`
`getComponents()`
`Object`
`getIcon()`
`String`
`getName()`
`Object`
`getParent()`
`Object`
`getPopupMenu()`
`String`
`getText()`
`void`
`init(String text, Object icon, String actionCommand, SC popupMenu)`
`void`
`insert(SC subMenu, int index)`
`boolean`
`isEnabled()`
`boolean`
`isSelected()`
`void`
`remove(int i)`
`void`
`removeAll()`
`void`
`setActionCommand(String script)`
`void`
`setAutoscrolls(boolean b)`
`void`
`setEnabled(boolean enable)`
`void`
`setIcon(Object icon)`
`void`
`setName(String string)`
`void`
`setSelected(boolean state)`
`void`
`setText(String entry)`

## Method Details

### add

void add(SC item)

### addActionListener

void addActionListener(Object owner)

### addItemListener

void addItemListener(Object owner)

### addMouseListener

void addMouseListener(Object owner)

### getActionCommand

String getActionCommand()

### getComponent

Object getComponent(int i)

### getComponentCount

int getComponentCount()

### getComponents

Object[] getComponents()

### getName

String getName()

### getParent

Object getParent()

### getPopupMenu

Object getPopupMenu()

### getIcon

Object getIcon()

### getText

String getText()

### init

void init(String text, Object icon, String actionCommand, SC popupMenu)

### insert

void insert(SC subMenu, int index)

### isEnabled

boolean isEnabled()

### isSelected

boolean isSelected()

### remove

void remove(int i)

### removeAll

void removeAll()

### setActionCommand

void setActionCommand(String script)

### setAutoscrolls

void setAutoscrolls(boolean b)

### setEnabled

void setEnabled(boolean enable)

### setIcon

void setIcon(Object icon)

### setName

void setName(String string)

### setSelected

void setSelected(boolean state)

### setText

void setText(String entry)